Skip to main content
GET
/
organizations
/
{organization_id}
/
employees
/
{employee_id}
/
job-details
Get Employee Job Details
curl --request GET \
  --url https://dev.intermezzo.ai/organizations/{organization_id}/employees/{employee_id}/job-details \
  --header 'Authorization: Bearer <token>'
{
  "employeeId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "employmentCountry": "DE",
  "jobType": "Full Time Indefinite Term",
  "employmentStatus": "Employee",
  "isSeasonalWorker": true,
  "jobTitle": "<string>",
  "jobDescription": "<string>",
  "schoolEducation": "Ohne Schulabschluss",
  "professionalEducation": "Ohne beruflichen Ausbildungsabschluss",
  "occupationCode": "<string>",
  "contractedWeeklyHours": 40,
  "contractedWeekdays": [
    "Monday"
  ],
  "contractedToOtherCompany": false,
  "worksiteId": "<string>",
  "department": "<string>",
  "otherJobs": [
    {
      "employmentCountry": "DE",
      "employerName": "<string>",
      "employmentStartDate": "2023-12-25",
      "monthlyGrossIncome": "<string>"
    }
  ],
  "validFrom": "2023-12-25",
  "validTo": "2023-12-25"
}

Authorizations

Authorization
string
header
required

Get token from Auth0 and paste it here

Path Parameters

organization_id
required
employee_id
required

Response

Successful Response

Response model for job details with metadata fields.

employeeId
string
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
id
required
employmentCountry
string
default:DE
Allowed value: "DE"
jobType
enum<string> | null

Employment types recognized in Germany.

Available options:
Full Time Indefinite Term,
Full Time Fixed Term,
Part Time Indefinite Term,
Part Time Fixed Term
employmentStatus
enum<string> | null

Employee types recognized in Germany.

Available options:
Employee,
Mini Jobber,
Midi Jobber,
Apprentice,
Intern,
Werkstudent,
Temporary Worker
isSeasonalWorker
boolean | null
jobTitle
string | null
jobDescription
string | null
schoolEducation
enum<string> | null

Highest school education completed. 6th digit in Tagesschlüssel.

Available options:
Ohne Schulabschluss,
Haupt-/Volksschulabschluss,
Mittlere Reife oder gleichwertiger Abschluss,
Abitur / Fachabitur,
Abschluss unbekannt
professionalEducation
enum<string> | null

Highest vocational education completed. 7th digit in Tagesschlüssel.

Available options:
Ohne beruflichen Ausbildungsabschluss,
Abschluss einer anerkannten Berufsausbildung,
Meister-/Techniker- oder gleichwertiger Fachschulabschluss,
Bachelor,
Diplom/Magister/Master/Staatsexamen,
Promotion,
Abschluss unbekannt
occupationCode
string | null
contractedWeeklyHours
integer | null
default:40
contractedWeekdays
enum<string>[] | null

Days of the week.

Available options:
Monday,
Tuesday,
Wednesday,
Thursday,
Friday,
Saturday,
Sunday
contractedToOtherCompany
boolean
default:false

EN: Contracted to another company | DE: Vertrag mit anderem

worksiteId
string | null
department
string | null
otherJobs
MultipleJobDetails · object[] | null
validFrom
string<date>

EN: Valid from date | DE: Gültig ab Datum

validTo
string<date> | null

EN: Valid to date | DE: Gültig bis Datum